- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CProgressBar Interface Reference

Inheritance diagram for Exponent::GUI::Controls::CProgressBar:

List of all members.

## Detailed Description

A basic progress bar.

Date:
  19/03/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CProgressBar.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 34 of file CProgressBar.hpp.

## Public Member Functions

- CProgressBar (IControlRoot *root, const long uniqueId, const CRect &area)
- virtual void drawControl (CGraphics &graphics)
- virtual void setValue (const double value)
- virtual ~CProgressBar ()

## Protected Attributes

- CRect m_progressBarArea

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CProgressBar::CProgressBar | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area |
| ) |  |  |

Construction

Parameters:

  | root | The root control
  | uniqueId | The unique panel id
  | area | The controls onscreen area

virtual Exponent::GUI::Controls::CProgressBar::~CProgressBar | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CProgressBar::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the controls

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CTextLabel.

virtual void Exponent::GUI::Controls::CProgressBar::setValue | ( | const double | value | ) | `[virtual]`

Set the vlaue of the control, treat as percentage to set the progress

Parameters:

  | value | The value between 0 - 1

Reimplemented from Exponent::GUI::Controls::CControl.

## Member Data Documentation

CRect Exponent::GUI::Controls::CProgressBar::m_progressBarArea`[protected]`

The area covered by the progress

Definition at line 81 of file CProgressBar.hpp.